package io.tswf.minecraft.blockventure.core.api.world.chunk.persist

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.world.chunk.persist.ChunkPersistService
import net.minecraft.server.world.ServerWorld

@CompileStatic
class ChunkPersistManager {

    static void persistChunk(ServerWorld world, int chunkX, int chunkZ) {
        ChunkPersistService.persistChunk(world, chunkX, chunkZ)
    }

    static void freeChunk(ServerWorld world, int chunkX, int chunkZ) {
        ChunkPersistService.freeChunk(world, chunkX, chunkZ)
    }

    static boolean isChunkPersisted(ServerWorld world, int chunkX, int chunkZ) {
        ChunkPersistService.isChunkPersisted(world, chunkX, chunkZ)
    }
}
